{% extends 'root.html' %}
{% block body %}
<h1>Chemistry Starters Registration token decoding</h1>
<p>
This form decodes tokens from the registration system to assist in debugging. All tokens contain a UUID which is used as the primary key in the database table {{ schema }}.{{ table }} once data starts to be recorded for the registration, and a role string which determines which registration questions are presented. Tokens for the use of the registrant, the safety inductor, and the safety office are encoded with different salts.
</p>
<form method="POST">
 <div id="token-form">
{% for field in form %}
{% if field.type == 'CSRFTokenField' or field.type == 'HiddenField' %}
{{ field }}
{% else %}
  <div class="token-field">{{ field.label }}{{ field }}</div>
{% endif %}
{% endfor %}
 </div>
 <div class="token-submit">
  <input type="submit" name="submit" value="Decode"/>
 </div>
<input type="button" name="clear" value="Clear" onclick='document.getElementById("token").value = "";' />
</form>
{% if form.token.data %}
<ul>
	<li>UUID: {{ uuid|default("Cannot decode") }}</li>
	<li>role: {{ role|default("Cannot decode") }}</li>
	<li>salt: {{ workingsalt|default("Cannot decode") }}</li>
	<li>days left: {{ days|default("Cannot decode") }}</li>
</ul>
{% endif %}
{% endblock %}
